<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mg_rate_me_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_rate_me_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_rate_me_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_rate_me_panel/locale/German.php";
}

// Infusion general information
$inf_title = $locale['MGRATE_title'];
$inf_description = $locale['MGRATE_desc'];
$inf_version = $locale['MGRATE_version'];
$inf_developer = "MarcusG";
$inf_email = "";
$inf_weburl = "http://phpfusion.marcusg.de";

$inf_folder = "mg_rate_me_panel"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = MG_RATE_ME." (
  rate_id mediumint(8) unsigned NOT NULL auto_increment,
  rate_user_id mediumint(8) unsigned NOT NULL default '0',
  rate_user mediumint(8) unsigned NOT NULL default '0',
  rate_rate tinyint(1) unsigned NOT NULL default '0',
  rate_datestamp int(10) unsigned NOT NULL default '0',
  rate_ip varchar(20) NOT NULL default '0.0.0.0',
PRIMARY KEY (rate_id)
) TYPE=MyISAM;";

$inf_newtable[2] = MG_RATE_ME_RESULT." (
  result_user_id mediumint(8) unsigned NOT NULL default '0',
  result_result tinyint(1) unsigned NOT NULL default '0',
  result_datestamp int(10) unsigned NOT NULL default '0',
PRIMARY KEY (result_user_id)
) TYPE=MyISAM;";

$inf_newtable[3] = MG_RATE_ME_SETTINGS." (
  settings_id tinyint(1) unsigned NOT NULL default '1',
  rate_group TINYINT(3) UNSIGNED NOT NULL default '101',
  rate_access TINYINT(3) UNSIGNED NOT NULL default '101',
  rate_panel TINYINT(2) UNSIGNED NOT NULL default '101',
  rate_panel_nlength TINYINT(2) UNSIGNED NOT NULL default '10',
PRIMARY KEY (settings_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = MG_RATE_ME_SETTINGS." SET settings_id='1', rate_group='101', rate_access='101', rate_panel='5', rate_panel_nlength='10' ";

$inf_insertdbrow[2] = DB_PANELS." SET panel_name='".$locale['MGRATE_title']."', panel_filename='".$inf_folder."', panel_side=1, panel_order='3', panel_type='file', panel_access='0', panel_display='0', panel_status='1' ";

$inf_droptable[1] = MG_RATE_ME;
$inf_droptable[2] = MG_RATE_ME_RESULT;
$inf_droptable[3] = MG_RATE_ME_SETTINGS;

// $inf_altertable[1] = DB_INFUSION_TABLE." ADD etc";

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='".$inf_folder."'";

$inf_deldbrow[2] = DB_COMMENTS." WHERE comment_type='R'";

$inf_adminpanel[1] = array(
	"title" => $locale['MGRATE_admin1'],
	"image" => "rate_me.png",
	"panel" => "mg_rate_me_admin.php",
	"rights" => "RATE"
);

$inf_sitelink[1] = array(
	"title" => $locale['MGRATE_link1'],
	"url" => "mg_rate_me.php",
	"visibility" => "101" // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.
);
?>