<?php
/*-------------------------------------------------------+
| Dynamic Star Rating Redux
| Developed by Jordan Boesch
| www.boedesign.com
| Licensed under Creative Commons - http://creativecommons.org/licenses/by-nc-nd/2.5/ca/
| Used CSS from komodomedia.com.
+--------------------------------------------------------+
| Ajax Rating System mSF For PHP-Fusion 7.xx v.1.1
| Copyright  2008-2009 Powered by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// require_once "../../maincore.php";

// // Check if locale file is available matching the current site locale setting.
// if (file_exists(INFUSIONS."mg_rate_me_panel/locale/".$settings['locale'].".php")) {
	// // Load the locale file matching the current site locale setting.
	// include INFUSIONS."mg_rate_me_panel/locale/".$settings['locale'].".php";
// } else {
	// // Load the infusion's default locale file.
	// include INFUSIONS."mg_rate_me_panel/locale/German.php";
// }

include INFUSIONS."mg_rate_me_panel/infusion_db.php";

function mg_getRating($id) {

	$total = 0;
	$rows = 0;
	
	$sel = dbquery("SELECT rate_rate FROM ".MG_RATE_ME." WHERE rate_user_id = '$id'");
	if(dbrows($sel) != 0){
	
		while($data = dbarray($sel)) {	
			$total = $total + $data['rate_rate'];
			$rows++;
    	}
		
		$perc = ($total/$rows) * 20;
		
		//$newPerc = round($perc/5)*5;
		//return $newPerc.'%';
		
		$newPerc = round($perc,2);
		return $newPerc.'%';
	
	} else { return '0%'; }
	
	return '0%';
}

function mg_outOfFive($id) {

	$total = 0;
	$rows = 0;
	
	$sel = dbquery("SELECT rate_rate FROM ".MG_RATE_ME." WHERE rate_user_id = '".$id."'");
	if(dbrows($sel) != 0) {
	
		while($data = dbarray($sel)){	
			$total = $total + $data['rate_rate'];
			$rows++;
		}
		
		$perc = ($total/$rows);
		
		return round($perc,2);
		//return round(($perc*2), 0)/2; // 3.5
	
	} else { return '0'; }
	
	return '0';
}

function mg_getVotes($id){
	global $locale;
	$sel = dbquery("SELECT rate_rate FROM ".MG_RATE_ME." WHERE rate_user_id = '$id'");
	$rows = mysql_num_rows($sel);
	if ($rows == 0) {
		$rates = "0 ".$locale['MGRATE_rf02']."";
	} else if($rows == 1) {
		$rates = "1 ".$locale['MGRATE_rf01']."";
	} else if($rows > 1 && $rows < 5) {
		$rates = $rows." ".$locale['MGRATE_rf02']."";
	} else {
		$rates = $rows." ".$locale['MGRATE_rf02']."";
	}
	return $rates;
}

function zeigeRatings($id, $rate_link = true) {
	
	global $locale, $show5, $showPerc, $showVotes, $static;
	
	$show5 = false; $showPerc = false; $showVotes = false; $static = NULL;
	
	// Check if they have already rated...
	$text = '';
	
	$sel = dbquery("SELECT rate_user_id FROM ".MG_RATE_ME." WHERE rate_ip = '".USER_IP."' AND rate_user_id = '$id'");
	
	if(dbrows($sel) != 0 || $static == 'novote' || !iMEMBER) {
	
	    // opentable("Bewertungen");
	if (!iMEMBER) {
		echo "<div style='text-align:center'>".$locale['MGRATE_rf03']."<br /><br />".$locale['MGRATE_rf04']."<br /><br /></div>\n";
		}
	echo "<center>";	
	echo '<div class="mg_rated_text">';
	echo ''.$locale['MGRATE_rf08'].': <span id="mg_outOfFive_'.$id.'" class="mg_out5Class">'.mg_outOfFive($id).'</span>/5';
	echo ' (<span id="mg_percentage_'.$id.'" class="mg_percentClass">'.mg_getRating($id).'</span>)';
	echo ' ('.$locale['MGRATE_rf07'].': <span id="mg_showvotes_'.$id.'" class="mg_votesClass">'.mg_getVotes($id).'</span>)';
	echo '</div>';
		
	echo '<ul class="mg_star-rating2" id="mg_rater_'.$id.'">';
	echo '<li class="mg_current-rating" style="width:'.mg_getRating($id).';" id="mg_ul_'.$id.'"></li>';
	echo '<li><a onclick="return true;" href="#" title="1 '.$locale['MGRATE_rf05'].' 5" class="mg_one-star" >1</a></li>';
	echo '<li><a onclick="return true;" href="#" title="2 '.$locale['MGRATE_rf06'].' 5" class="mg_two-stars">2</a></li>';
	echo '<li><a onclick="return true;" href="#" title="3 '.$locale['MGRATE_rf06'].' 5" class="mg_three-stars">3</a></li>';
	echo '<li><a onclick="return true;" href="#" title="4 '.$locale['MGRATE_rf06'].' 5" class="mg_four-stars">4</a></li>';
	echo '<li><a onclick="return true;" href="#" title="5 '.$locale['MGRATE_rf06'].' 5" class="mg_five-stars">5</a></li>';
	echo '</ul>';
	echo '<div id="mg_loading_'.$id.'"></div>';
	echo "</center>";
	
	    // closetable();
		
	} else {
	
	    // opentable("Bewertungen");
	echo "<center>";
	echo '<div class="mg_rated_text">';
			$show5bool = 'true';
	echo ''.$locale['MGRATE_rf08'].': <span id="mg_outOfFive_'.$id.'" class="mg_out5Class">'.mg_outOfFive($id).'</span>/5';
			$showPercbool = 'true';
	echo ' (<span id="mg_percentage_'.$id.'" class="mg_percentClass">'.mg_getRating($id).'</span>)';
			$showVotesbool = 'true';
	echo ' (<span id="mg_showvotes_'.$id.'" class="mg_votesClass">'.mg_getVotes($id).'</span>)';
	echo '</div>';

	echo '<ul class="mg_star-rating" id="mg_rater_'.$id.'">';		
    echo '<li class="mg_current-rating" style="width:'.mg_getRating($id).';" id="mg_ul_'.$id.'"></li>';
    echo '<li><a onclick="rate(\'1\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.'); return false;" href="'.INFUSIONS.'mg_rate_me_panel/rating_process.php?id='.$id.'&rate=1" title="1 '.$locale['MGRATE_rf05'].' 5" class="mg_one-star" >1</a></li>';
    echo '<li><a onclick="rate(\'2\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.'); return false;" href="'.INFUSIONS.'mg_rate_me_panel/rating_process.php?id='.$id.'&rate=2" title="2 '.$locale['MGRATE_rf06'].' 5" class="mg_two-stars">2</a></li>';
    echo '<li><a onclick="rate(\'3\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.'); return false;" href="'.INFUSIONS.'mg_rate_me_panel/rating_process.php?id='.$id.'&rate=3" title="3 '.$locale['MGRATE_rf06'].' 5" class="mg_three-stars">3</a></li>';
    echo '<li><a onclick="rate(\'4\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.'); return false;" href="'.INFUSIONS.'mg_rate_me_panel/rating_process.php?id='.$id.'&rate=4" title="4 '.$locale['MGRATE_rf06'].' 5" class="mg_four-stars">4</a></li>';
    echo '<li><a onclick="rate(\'5\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.'); return false;" href="'.INFUSIONS.'mg_rate_me_panel/rating_process.php?id='.$id.'&rate=5" title="5 '.$locale['MGRATE_rf06'].' 5" class="mg_five-stars">5</a></li>';
	echo '</ul>';
	echo '<div id="mg_loading_'.$id.'"></div>';
	echo "</center>";
	
	    // closetable();
		
	}
}

?>