<?php
/*-------------------------------------------------------+
| Dynamic Star Rating Redux
| Developed by Jordan Boesch
| www.boedesign.com
| Licensed under Creative Commons - http://creativecommons.org/licenses/by-nc-nd/2.5/ca/
| Used CSS from komodomedia.com.
+--------------------------------------------------------+
| Ajax Rating System mSF For PHP-Fusion 7.xx v.1.1
| Copyright  2008-2009 Powered by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

include INFUSIONS."mg_rate_me_panel/infusion_db.php";

header("Cache-Control: no-cache");
header("Pragma: nocache");

// escape variables
function mg_escape($val) {
	$val = trim($val);
	if(get_magic_quotes_gpc()) { $val = stripslashes($val); }
	return mysql_real_escape_string($val);
}

// IF JAVASCRIPT IS ENABLED

if($_POST) {

	$id = mg_escape($_POST['id']);
	$rate = (int) $_POST['rate'];
	
	if (iMEMBER) { $users_id = $userdata['user_id']; } else { $users_id = "0"; }
	
	if($rate <= 5 && $rate >= 1) {
	
		if (dbarray(dbquery("SELECT rate_user_id FROM ".MG_RATE_ME." WHERE rate_user_id='".$id."' AND rate_ip='".USER_IP."' AND rate_user = '".$users_id."'"))) {
		
			echo 'already_rated';
			
		} else {
		
			$result = dbquery("INSERT INTO ".MG_RATE_ME." (rate_user_id, rate_user, rate_rate, rate_datestamp, rate_ip) VALUES ('".$id."', '".$users_id."', '".$rate."', '".time()."', '".USER_IP."')");
			
			$total = 0;
			$rows = 0;
			
			$sel = dbquery("SELECT rate_rate FROM ".MG_RATE_ME." WHERE rate_user_id = '$id'");
			if(dbrows($sel) != 0) {
			while($data = dbarray($sel)){
			
				$total = $total + $data['rate_rate'];
				$rows++;
			}
			
			$perc = ($total/$rows) * 20;
			
			$result1 = dbquery("INSERT INTO ".MG_RATE_ME_RESULT." SET 
			  result_user_id='".$id."',
			  result_result='".round($perc,2)."',
			  result_datestamp='".time()."'
			  ON DUPLICATE KEY UPDATE
			  result_result='".round($perc,2)."',
			  result_datestamp='".time()."'");
			  
			echo round($perc,2); die;
			//echo round($perc/5)*5;
		    } else { return '0'; }
		}	
	}
}

// IF JAVASCRIPT IS DISABLED

if($_GET){

	$id = mg_escape($_GET['id']);
	$rate = (int) $_GET['rate'];
	
	if (iMEMBER) { $users_id = $userdata['user_id']; } else { $users_id = "0"; }
	
	// If you want people to be able to rate more than once, comment the entire if/else block block and uncomment the code below it.
	
	if($rate <= 5 && $rate >= 1){
	
		if (dbarray(dbquery("SELECT rate_user_id FROM ".MG_RATE_ME." WHERE rate_user_id='".$id."' AND rate_ip='".USER_IP."' AND rate_user = '".$users_id."'"))) {
		
			echo 'already_rated';
			
		} else {
			
			$result = dbquery("INSERT INTO ".MG_RATE_ME." (rate_user_id, rate_user, rate_rate, rate_datestamp, rate_ip) VALUES ('$id', '".$users_id."', '".$rate."', '".time()."', '".USER_IP."')");
			$result1 = dbquery("INSERT INTO ".MG_RATE_ME_RESULT." SET 
			  result_user_id='".$id."',
			  result_result='".mg_outOfFive($id)."',
			  result_datestamp='".time()."'
			  ON DUPLICATE KEY UPDATE
			  result_result='".mg_outOfFive($id)."',
			  result_datestamp='".time()."'");
			
		}
		
		header("Location:".$_SERVER['HTTP_REFERER'].""); die;
		
	} else { echo 'You cannot rate this more than 5 or less than 1 <a href="'.$_SERVER['HTTP_REFERER'].'">back</a>'; }
	
}

?>
