<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: top_ten.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include INFUSIONS."mg_rate_me_panel/infusion_db.php";
require_once INFUSIONS."mg_rate_me_panel/functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_rate_me_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_rate_me_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_rate_me_panel/locale/German.php";
}

require_once INFUSIONS."mg_rate_me_panel/rating_functions.php";

echo "<table class='tbl-border center' width='60%' cellpadding='3' cellspacing='0'>\n
		<tr class='tbl2' style='font-size:bigger;font-weight:bold;'>
			<td>".$locale['MGRATE_tt01']."</td>
			<td>".$locale['MGRATE_tt02']."</td>
			<td>".$locale['MGRATE_tt03']."</td>
			<td>".$locale['MGRATE_tt04']."</td>
		</tr>";
$result = dbquery("SELECT trate.*, tuser.* FROM ".MG_RATE_ME_RESULT." as trate
	LEFT JOIN ".DB_USERS." as tuser
	ON trate.result_user_id=tuser.user_id ORDER BY trate.result_result DESC, tuser.user_name ASC LIMIT 0,10");
if (dbrows($result)) {
$i = 1;
while ($data = dbarray($result)) {
		$class= ($i%2 == 0 ? "tbl2" : "tbl1");
		$platz = ($i <= 3 ? "<img src='".INFUSIONS."mg_rate_me_panel/images/".$i.".png' border='0' alt='".$i.". ".$locale['MGRATE_tt01']."' title='".$i.". ".$locale['MGRATE_tt01']."' />" : "<img src='".INFUSIONS."mg_rate_me_panel/images/platz.php?number=".$i."' border='0' alt='".$i.". ".$locale['MGRATE_tt01']."' title='".$i.". ".$locale['MGRATE_tt01']."' />");
		echo "<tr class='".$class."'>
				<td style='text-align:center;' width='1%'>".$platz."</td>
				<td style='text-align:center;' width='1%'>".rateAvatarImg($data['user_id'], 'small')."</td>
				<td width='20%'><a class='rate_me' href='".INFUSIONS."mg_rate_me_panel/mg_rate_me.php?userid=".$data['user_id']."'>".$data['user_name']."</a></td>
				<td><span class='mg_out5Class'>".mg_outOfFive($data['user_id'])."</span>/5 (<span class='mg_percentClass'>".mg_getRating($data['user_id'])."</span>) (".$locale['MGRATE_tt05'].": <span class='mg_votesClass'>".mg_getVotes($data['user_id'])."</span>)</td>
			</tr>";
	$i++;
	}
} else {
	echo "<tr class='tbl1'><td colspan='4' style='text-align:center;'>".$locale['MGRATE_tt06']."</td></tr>";
}
echo "</table>";

?>