<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: functions.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

$rate_settings = dbarray(dbquery("SELECT * FROM ".MG_RATE_ME_SETTINGS." WHERE settings_id='1'"));

function rateAvatarImg($id, $typ) {
	global $locale;
	$avatar = dbarray(dbquery("SELECT user_avatar FROM ".DB_USERS." WHERE user_id='".$id."'"));
	if ($avatar['user_avatar'] != "") {
		if ($typ == "normal") {
			return "<div class='shadow'><img".rateStatus($id, "image")." src='".IMAGES."avatars/".$avatar['user_avatar']."' border='0' alt='".$locale['MGRATE_ava']."' title='".$locale['MGRATE_ava']."' style='max-height:170px; max-width:133px;padding:10px;' /></div>";
		} elseif ($typ == "small") {
			return "<img src='".IMAGES."avatars/".$avatar['user_avatar']."' style='max-height:32px; max-width:32px;' border='0' alt='".$locale['MGRATE_ava']."' title='".$locale['MGRATE_ava']."' onmouseover=\"showWMTT('".$id."')\" onmouseout=\"hideWMTT()\" />";
		} elseif ($typ == "xx-small") {
			return "<img src='".IMAGES."avatars/".$avatar['user_avatar']."' style='max-height:24px; max-width:24px;' border='0' alt='".$locale['MGRATE_ava']."' title='".$locale['MGRATE_ava']."' onmouseover=\"showWMTT('".$id."')\" onmouseout=\"hideWMTT()\" />";
		}
	} else {
		if ($typ == "normal") {
			return "<div class='shadow'><img".rateStatus($id, "image")." src='".INFUSIONS."mg_rate_me_panel/images/no_avatar.png' border='0' alt='".$locale['MGRATE_noava']."' title='".$locale['MGRATE_noava']."' style='max-height:170px; max-width:133px;padding:10px;' /></div>";
		} elseif ($typ == "small") {
			return "<img src='".INFUSIONS."mg_rate_me_panel/images/no_avatar.png' style='max-height:32px; max-width:32px;' border='0' alt='".$locale['MGRATE_noava']."' title='".$locale['MGRATE_noava']."' />";
		} elseif ($typ == "xx-small") {
			return "<img src='".INFUSIONS."mg_rate_me_panel/images/no_avatar.png' style='max-height:24px; max-width:24px;' border='0' alt='".$locale['MGRATE_noava']."' title='".$locale['MGRATE_noava']."' />";
		}
	}
}

function rateAvatarOnly($id) {
	global $locale;
	$avatar = dbarray(dbquery("SELECT user_avatar FROM ".DB_USERS." WHERE user_id='".$id."'"));
	if ($avatar['user_avatar'] != "") {
			return "<img".rateStatus($id, "image")." src='".IMAGES."avatars/".$avatar['user_avatar']."' border='0' alt='".$locale['MGRATE_ava']."' title='".$locale['MGRATE_ava']."' style='max-height:170px; max-width:133px;padding:10px;' />";
	} else {
			return "<img".rateStatus($id, "image")." src='".INFUSIONS."mg_rate_me_panel/images/no_avatar.png' border='0' alt='".$locale['MGRATE_noava']."' title='".$locale['MGRATE_noava']."' style='max-height:170px; max-width:133px;padding:10px;' />";
	}
}

function rateGetAlter($id) {
	$sql = mysql_query("SELECT DATEDIFF(curdate(),user_birthdate) as 'age' FROM ".DB_USERS." WHERE user_id='".$id."'");
		$alter1 = mysql_result($sql,'age');
		$alter2 = $alter1 / 365.24;
		$alter = number_format(floor($alter2),0,'.',',');
    // Rckgabe des Alters
    return $alter;
}

function rateGeburtstag($date, $type) {
	global $locale;
	if ($date != "0000-00-00") {
	$geburtstag = explode("-", $date);
	$user_month = number_format($geburtstag['1']);
	$user_day = number_format($geburtstag['2']);
	$user_year = $geburtstag['0'];
	$monat = array("&nbsp", $locale['MGRATEmon01'], $locale['MGRATEmon02'], $locale['MGRATEmon03'], $locale['MGRATEmon04'], $locale['MGRATEmon05'], $locale['MGRATEmon06'], $locale['MGRATEmon07'], $locale['MGRATEmon08'], $locale['MGRATEmon09'], $locale['MGRATEmon10'], $locale['MGRATEmon11'], $locale['MGRATEmon12']);
	if ($type == "short") {
		$bdate = $user_day.".".$user_month.".".$user_year;
	} else {
		$bdate = $user_day.". ".$monat[$user_month]." ".$user_year;
	}
	return $bdate;
	} else {
		return "---";
	}
}

function rateSternzeichen($id) {
	global $locale;
	$user = dbarray(dbquery ( "SELECT user_birthdate FROM " . DB_USERS . " WHERE user_id='".$id."'" ));
	if ($user['user_birthdate'] != "0000-00-00") {
	$user_gebdat = explode("-", $user['user_birthdate']);
	if (($user_gebdat['1'] == '03' AND $user_gebdat['2'] >= '21') OR ($user_gebdat['1'] == '04' AND $user_gebdat['2'] <= '20')){
	$sternzeichen = $locale['MGRATE_widder'];
	}elseif (($user_gebdat['1'] == '04' AND $user_gebdat['2'] >= '21') OR ($user_gebdat['1'] == '05' AND $user_gebdat['2'] <= '21')){
	$sternzeichen = $locale['MGRATE_stier'];
	}elseif (($user_gebdat['1'] == '05' AND $user_gebdat['2'] >= '22') OR ($user_gebdat['1'] == '06' AND $user_gebdat['2'] <= '21')){
	$sternzeichen = $locale['MGRATE_zwillinge'];
	}elseif (($user_gebdat['1'] == '06' AND $user_gebdat['2'] >= '22') OR ($user_gebdat['1'] == '07' AND $user_gebdat['2'] <= '22')){
	$sternzeichen = $locale['MGRATE_krebs'];
	}elseif (($user_gebdat['1'] == '07' AND $user_gebdat['2'] >= '23') OR ($user_gebdat['1'] == '08' AND $user_gebdat['2'] <= '23')){
	$sternzeichen = $locale['MGRATE_loewe'];
	}elseif (($user_gebdat['1'] == '08' AND $user_gebdat['2'] >= '24') OR ($user_gebdat['1'] == '09' AND $user_gebdat['2'] <= '23')){
	$sternzeichen = $locale['MGRATE_jungfrau'];
	}elseif (($user_gebdat['1'] == '09' AND $user_gebdat['2'] >= '24') OR ($user_gebdat['1'] == '10' AND $user_gebdat['2'] <= '23')){
	$sternzeichen = $locale['MGRATE_waage'];
	}elseif (($user_gebdat['1'] == '10' AND $user_gebdat['2'] >= '24') OR ($user_gebdat['1'] == '11' AND $user_gebdat['2'] <= '22')){
	$sternzeichen = $locale['MGRATE_skorpion'];
	}elseif (($user_gebdat['1'] == '11' AND $user_gebdat['2'] >= '23') OR ($user_gebdat['1'] == '12' AND $user_gebdat['2'] <= '21')){
	$sternzeichen = $locale['MGRATE_schuetze'];
	}elseif (($user_gebdat['1'] == '12' AND $user_gebdat['2'] >= '22') OR ($user_gebdat['1'] == '01' AND $user_gebdat['2'] <= '20')){
	$sternzeichen = $locale['MGRATE_steinbock'];
	}elseif (($user_gebdat['1'] == '01' AND $user_gebdat['2'] >= '21') OR ($user_gebdat['1'] == '02' AND $user_gebdat['2'] <= '19')){
	$sternzeichen = $locale['MGRATE_wassermann'];
	}elseif (($user_gebdat['1'] == '02' AND $user_gebdat['2'] >= '20') OR ($user_gebdat['1'] == '03' AND $user_gebdat['2'] <= '20')){
	$sternzeichen = $locale['MGRATE_fisch'];
	}
		return $sternzeichen;
	} else {
		return "---";
	}
}

function rateStatus($user, $typ) {
	global $locale;
	
	$lastvisit = dbarray(dbquery("SELECT user_lastvisit, user_name FROM ".DB_USERS." WHERE user_id = '".$user."'"));
	$lastseen = time() - $lastvisit['user_lastvisit'];
	
	if ($lastseen < 120) {
		$image = "<img class='status' src='".INFUSIONS."mg_rate_me_panel/images/green.png' style='vertical-align:middle;' title='".$lastvisit['user_name'].$locale['MGRATE_is'].$locale['MGRATE_onl']."' />";
		$class = "";
	} elseif ($lastseen < 300) {
		$image = "<img class='status' src='".INFUSIONS."mg_rate_me_panel/images/yellow.png' style='vertical-align:middle;' title='".$lastvisit['user_name'].$locale['MGRATE_was'].$locale['MGRATE_ronl']."' />";
		$class = "";
	} else {
		$image = "<img class='status' src='".INFUSIONS."mg_rate_me_panel/images/grey.png' style='vertical-align:middle;' title='".$lastvisit['user_name'].$locale['MGRATE_is'].$locale['MGRATE_offl']."' />";
		$class = " class='offline'";
	}
	return ($typ == "image" ? $class : $image);
}

function rateCopyright() {
	global $locale;
	$string = " ".$locale['MGRATE_title']." ".$locale['MGRATE_version'];
	$copyright = "<div style='text-align: right;'><a href='http://phpfusion.marcusg.de' target='_blank' title=''><img src='".INFUSIONS."mg_rate_me_panel/copyright.php?string=".$string."' border='0' alt='' title='&copy; ".showdate("%Y",time())." by MarcusG' /></a></div>";
	return $copyright;
}
?>