<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: platz.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// Set the content-type
$number = $_GET['number'];
header("Content-type: image/png"); // Grafik-Header (image/png) an den Browser senden

$platz = ImageCreateFromPNG("platz.png"); // Grafik erstellen
imagesavealpha($platz, true);
$schriftfarbe = imageColorAllocate($platz, 64, 64, 64);

// ImageString($platz, 8, 16, 16, $number, $schriftfarbe);
ImageStringCenter($platz, 5, 1, 1, $number, $schriftfarbe );
imagePng($platz); // Ausgabe der Grafik an den Browser senden
imageDestroy($platz); // Grafik aus dem Speicher entfernen

function ImageStringCenter($image_resource, $font_size, $line_number, $total_lines, $text, $color ) {

    $center_x = ceil( ( imagesx($image_resource) - ( ImageFontWidth($font_size) * strlen($text) ) ) / 2 );

    $center_y = ceil( ( ( imagesy($image_resource) - ( ImageFontHeight($font_size) * $total_lines ) ) / 2)  + ( ($line_number-1) * ImageFontHeight($font_size) ) );

ImageString($image_resource, $font_size, $center_x, ($center_y + 3), $text, $color );

}
?>