<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_rate_me_admin.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include INFUSIONS."mg_rate_me_panel/infusion_db.php";
require_once INFUSIONS."mg_rate_me_panel/functions.php";

if (!checkrights("RATE") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_rate_me_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_rate_me_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_rate_me_panel/locale/German.php";
}

add_to_head("
<style type='text/css'>
<!--
.success {
	color:green;
	font-weight:bold;
	text-align:center;
	font-size: 16px;
}
.error {
	color:red;
	font-weight:bold;
	text-align:center;
	font-size: 16px;
}

-->
</style>
");
opentable($locale['MGRATE_admin1']);
if (isset($_POST['save'])) {
	$rate_group = stripinput($_POST['rate_group']);
	$rate_access = stripinput($_POST['rate_access']);
	$rate_panel = stripinput($_POST['rate_panel']);
	$rate_panel_nlength = stripinput($_POST['rate_panel_nlength']);
	
	$result = dbquery("UPDATE ".MG_RATE_ME_SETTINGS." SET
	rate_group = '".$rate_group."',
	rate_access = '".$rate_access."',
	rate_panel = '".$rate_panel."',
	rate_panel_nlength = '".$rate_panel_nlength."'
	WHERE settings_id = '1'");
	$result = dbquery("TRUNCATE ".MG_RATE_ME."");
	$result = dbquery("TRUNCATE ".MG_RATE_ME_RESULT."");
	redirect(FUSION_SELF.$aidlink."&success=true");
} else {
	if (isset($_GET['success'])) {
		echo "<div class='success'><br />".$locale['MGRATE_ad01']."<br /></div>";
	}
$rate_settings = dbarray(dbquery("SELECT * FROM ".MG_RATE_ME_SETTINGS." WHERE settings_id='1'"));
echo "<br /><form name='editsettings' action='".FUSION_SELF.$aidlink."' method='POST'>";
echo "<table class='tbl-border center' width='80%' cellpadding='3' cellspacing='0'>\n";
echo "<tr class='tbl2' style='font-size:bigger; font-weight:bold;'>
		<td colspan='2'>".$locale['MGRATE_ad02']."</td>
	</tr>";
	
	$user_groups = getusergroups(); $access_opts = ""; $sel = "";
		while(list($key, $user_group) = each($user_groups)) {
	$sel = ($rate_settings['rate_group'] == $user_group['0'] ? " selected" : "");
	$access_opts .= ($user_group['0'] != '0' ? "<option value='".$user_group['0']."'".$sel.">".$user_group['1']."</option>\n" : "");
		}
echo "<tr class='tbl1'>
		<td style='text-align:right;width:30%'>".$locale['MGRATE_ad03']."</td>
		<td style='text-align:left;'><select name='rate_group' class='textbox' style='width:100px;'>".$access_opts."</select></td>
	</tr>";
	$user_groups1 = getusergroups(); $access_opts1 = ""; $sel1 = "";
		while(list($key1, $user_group1) = each($user_groups1)) {
	$sel1 = ($rate_settings['rate_access'] == $user_group1['0'] ? " selected" : "");
	$access_opts1 .= ($user_group1['0'] != '0' ? "<option value='".$user_group1['0']."'".$sel1.">".$user_group1['1']."</option>\n" : "");
		}
echo "<tr class='tbl1'>
		<td style='text-align:right;width:30%'>".$locale['MGRATE_ad04'].":</td>
		<td style='text-align:left;'><select name='rate_access' class='textbox' style='width:100px;'>".$access_opts1."</select></td>
	</tr>";
echo "<tr class='tbl1'>
		<td style='text-align:right;width:30%'>".$locale['MGRATE_ad05'].":</td>
		<td style='text-align:left;'><select name='rate_panel' class='textbox' style='width:100px;'>";
			for ($i = 1; $i <= 10; $i++) {
				echo "<option value='".$i."'".($rate_settings['rate_panel'] == $i ? " selected" : "").">".$i."</option>\n";
			}
	echo "</select></td>
	</tr>";
echo "<tr class='tbl1'>
		<td style='text-align:right;width:30%'>".$locale['MGRATE_ad06'].":</td>
		<td style='text-align:left;'><select name='rate_panel_nlength' class='textbox' style='width:100px;'>";
			for ($i = 8; $i <= 20; $i++) {
				echo "<option value='".$i."'".($rate_settings['rate_panel_nlength'] == $i ? " selected" : "").">".$i."</option>\n";
			}
	echo "</select></td>
	</tr>";
echo "<tr class='tbl2'>
		<td style='text-align:center;' colspan='2'>
			<input type='submit' class='button' name='save' value='".$locale['MGRATE_ad07']."' /><br />
			(<span style='color:red;'>".$locale['MGRATE_ad08']."</span>)
		</td>
	</tr>";

echo "</table>
</form>";
}
closetable();
echo rateCopyright();
echo "
<script type='text/javascript'>
	$(document).ready(function(){
	$('.success').fadeOut(5000);
	$('.error').fadeOut(10000);
	});";
echo "</script>";
require_once THEMES."templates/footer.php";
?>