<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_rate_me_panel.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mg_rate_me_panel/infusion_db.php";
require_once INFUSIONS."mg_rate_me_panel/functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_rate_me_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_rate_me_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_rate_me_panel/locale/German.php";
}

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

require_once INFUSIONS."mg_rate_me_panel/rating_functions.php";

add_to_head("<link href=\"".INFUSIONS."mg_rate_me_panel/css/rating_style.css\" rel=\"stylesheet\" type=\"text/css\" media=\"all\">");

openside($locale['MGRATE_rp01']);

echo "<table class='tbl-border center' width='100%' cellpadding='1' cellspacing='0'>\n";
$result = dbquery("SELECT trate.*, tuser.* FROM ".MG_RATE_ME_RESULT." as trate
	LEFT JOIN ".DB_USERS." as tuser
	ON trate.result_user_id=tuser.user_id ORDER BY trate.result_result DESC, tuser.user_name ASC LIMIT 0,".$rate_settings['rate_panel']."");
if (dbrows($result)) {
$i = 1;
while ($data = dbarray($result)) {
		$class= ($i%2 == 0 ? "tbl1" : "tbl2");
		$platz = ($i <= 3 ? "<img src='".INFUSIONS."mg_rate_me_panel/images/".$i.".png' border='0' alt='".$i.". ".$locale['MGRATE_rp04']."' title='".$i.". ".$locale['MGRATE_rp04']."' style='width:".($rate_settings['rate_panel'] == 1 ? '32' : '24')."px;' />" : "<img src='".INFUSIONS."mg_rate_me_panel/images/platz.php?number=".$i."' border='0' alt='".$i.". ".$locale['MGRATE_rp04']."' title='".$i.". ".$locale['MGRATE_rp04']."' style='width:24px;' />");
		echo "<tr class='".$class."'>
				<td style='text-align:center;' width='1%'>".$platz."</td>
				<td style='text-align:center;' width='1%'>".rateAvatarImg($data['user_id'], ($rate_settings['rate_panel'] == 1 ? 'small' : 'xx-small'))."</td>
				<td><a class='rate_me' href='".INFUSIONS."mg_rate_me_panel/mg_rate_me.php?userid=".$data['user_id']."'>".trimlink($data['user_name'], $rate_settings['rate_panel_nlength'])."</a></td>
				<td width='1%'><span class='mg_out5Class'>".mg_outOfFive($data['user_id'])."</span>/5</td>
			</tr>";
	$i++;
	}
	echo "<tr class='tbl2'><td colspan='4' style='text-align:right;'><a href='".INFUSIONS."mg_rate_me_panel/mg_rate_me.php'>".$locale['MGRATE_rp02']."</a></td></tr>";
} else {
	echo "<tr class='tbl2'><td colspan='4' style='text-align:center;'><a href='".INFUSIONS."mg_rate_me_panel/mg_rate_me.php'>".$locale['MGRATE_rp03']."</a></td></tr>";
}
echo "</table>";
closeside();
?>